JaxbHibernateConfiguration.JaxbSecurity (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.cfg
Class JaxbHibernateConfiguration.JaxbSecurity

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.JaxbHibernateConfiguration.JaxbSecurity

Enclosing class:
  JaxbHibernateConfiguration

    public static class JaxbHibernateConfiguration.JaxbSecurity

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="grant" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="actions" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="entity-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="role" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="context" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant` Java class for anonymous complex type.

Field Summary
`protected String` | `context`
`protected List<JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant>` | `grant`

Constructor Summary
`JaxbHibernateConfiguration.JaxbSecurity()`

Method Summary
`String` | `getContext()` Gets the value of the context property.
`List<JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant>` | `getGrant()` Gets the value of the grant property.
`void` | `setContext(String value)` Sets the value of the context property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### grant

    protected List<JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant> grant

### context

    protected String context

Constructor Detail

### JaxbHibernateConfiguration.JaxbSecurity

    public JaxbHibernateConfiguration.JaxbSecurity()

Method Detail

### getGrant

    public List<JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant> getGrant()

  Gets the value of the grant property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the grant property.

  For example, to add a new item, do as follows:

          getGrant().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant`

### getContext

    public String getContext()

  Gets the value of the context property.

  Returns:
    possible object is `String`

### setContext

    public void setContext(String value)

  Sets the value of the context property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.